<?php
    
    namespace backend\models;
    
    use yii2tech\filedb\ActiveRecord;
    use Yii;
    
    /**
     * Class Mail
     *
     * @property string $host
     * @property string $pass
     * @property string $user
     * @package backend\models
     */
    class Mail extends ActiveRecord
    {
        /**
         * @return string
         */
        public static function fileName()
        {
            return 'mail';
        }
        
        /**
         * @return array
         */
        public function rules()
        {
            return [
                [
                    [
                        'host',
                        'user',
                        'pass',
                    ],
                    'string',
                ],
            ];
        }
        
        /**
         * @return array
         */
        public function attributeLabels()
        {
            return [
                'host' => Yii::t('app', 'Host'),
                'user' => Yii::t('app', 'Email'),
                'pass' => Yii::t('app', 'Password'),
            ];
        }
    }